package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CanteenOutsourcerRechargeRecord;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CanteenOutsourcerRechargeRecordService {
	CanteenOutsourcerRechargeRecord get(String id);
	boolean exist(String id);
	int insert(CanteenOutsourcerRechargeRecord model);
	int insertAndBalance(CanteenOutsourcerRechargeRecord model);
	int update(CanteenOutsourcerRechargeRecord model);
	int delete(String id);
	List<CanteenOutsourcerRechargeRecord> list();
	int findCountByPersonId(Long personId);
	Page<CanteenOutsourcerRechargeRecord> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}